Subject: Re: BUG: 2.6.11-rc2 and -rc1 hang during boot on PowerMacs

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 25 Jan 2005 14:25:14 +1100

On Mon, 2005-01-24 at 18:42 +0100, Mikael Pettersson wrote:
> Benjamin Herrenschmidt writes:
>  > On Sun, 2005-01-23 at 11:43 +1100, Benjamin Herrenschmidt wrote:
>  > 
>  > > I know about this problem, I'm working on a proper fix. Thanks for your
>  > > report.
>  > 
>  > Can you send me the PVR value for both of these CPUs
>  > (cat /proc/cpuinfo) ? I can't find right now why they would lock up
>  > unless the default idle loop is _not_ run properly, that is for some
>  > reason, NAP or DOZE mode end up not beeing enabled. Can you send me
>  > your .config as well ?
> 
> === cpuinfo.emac ===
> processor	: 0
> cpu		: 7447/7457, altivec supported
> clock		: 1249MHz
> revision	: 1.1 (pvr 8002 0101)
> bogomips	: 830.66
> machine		: PowerMac6,4
> motherboard	: PowerMac6,4 MacRISC3 Power Macintosh 
> detected as	: 287 (Unknown Intrepid-based)
> pmac flags	: 00000000
> L2 cache	: 512K unified
> memory		: 256MB
> pmac-generation	: NewWorld

Ok, it's normal that the Beige G3 doesn't do NAP, and the 7455 cannot do
DOZE, so I suspect it's all normal and my patch fixes it.

However, the eMac should have been doing NAP. Can you check what's up in
arch/ppc/plaform/pmac_feature.c with powersave_nap ? is it set at all ?
It should be visible from userland at /proc/sys/kernel/powersave-nap
and should be set to 1 by default on your machine... unless your cpu
node in the device-tree has the "flush-on-lock" property...
 
Ben.